vlib_adapter_ident Struct Reference

Identification of an adapter in the library. More...

`#include <vlib.h>`

## Data Fields

devid_t | devid
| Unique id for adapter device.
wwn_t | wwnn
| WWN of adapter node.
wwn_t | wwpn
| WWN of adapter port.
unsigned short | host
| SCSI host id of this adapter.
fc_id_t | did
| FC did of the port.
char | bus_dev_name [9]
| name of device as in /sys/bus/ccw/drivers/zfcp in the form "x.x.xxxx"
char | class_dev_name [9]
| name of device as in /sys/class/fc_host in the form "hostxxxx"
char | sysfsPath [PATH_MAX]
| path of adapter in sysfs in the form /sys/devices/css0/0.0.0010/0.0.5923

## Detailed Description

Identification of an adapter in the library.

The documentation for this struct was generated from the following file:

- vlib.h